# eoFactory< EOClass > Class Template Reference

EO Factory. More...

`#include <eoFactory.h>`

Inheritance diagram for eoFactory< EOClass >:

List of all members.

## Public Member Functions

virtual EOClass * | make (std::istream &_is)=0
| Another factory methods: creates an object from an std::istream, reading from it whatever is needed to create the object.
ctors and dtors
| eoFactory ()
| constructor
virtual | ~eoFactory ()
| destructor
eoObject methods
virtual std::string | className () const
| Return the class id.

## Detailed Description

### template<class EOClass>
class eoFactory< EOClass >

EO Factory.

A factory is used to create other objects. In particular, it can be used so that objects of that kind canīt be created in any other way. It should be instantiated with anything that needs a factory, like selectors or whatever; but the instance class should be the parent class from which all the object that are going to be created descend. This class basically defines an interface, as usual. The base factory class for each hierarchy should be redefined every time a new object is added to the hierarchy, which is not too good, but in any case, some code would have to be modified

Definition at line 42 of file eoFactory.h.

## Member Function Documentation

template<class EOClass>
virtual EOClass* eoFactory< EOClass >::make | ( | std::istream & | _is | ) | `[pure virtual]`

| Another factory methods: creates an object from an std::istream, reading from it whatever is needed to create the object. Usually, the format for the std::istream will be\ objectType parameter1 parameter2 ... parametern\ Implemented in eoOpSelMason< eoClass >, eoSelectFactory< EOT >, and eoBitOpFactory< EOT >. Referenced by eoBitOpFactory< EOT >::make().

The documentation for this class was generated from the following file:

- eoFactory.h